startmacro

 call create2000_3


endmacro

procedure create2000

procedure create2000_1
  header/create test2000file.tmp TYPE=2000 FORM=SI FS=10
  
  file open/w tag test2000file.tmp
  DO rInc 0 900 10
    set tag.insertData(-1) {F1=rInc ,F2=rInc+1 ,F3=rInc+2,F4=rInc+3,F5=rInc+4,F6=rInc+5,F7=rInc+6,F8=rInc+7,F9=rInc+8,F10=rInc+9}
  ENDDO
  file close tag

return

procedure create2000_2
  header/create test2000file2.tmp TYPE=2000 FORM=SI FS=100
  
  file open/w tag test2000file2.tmp
  DO rInc 0 9000 100
    table datarow create
    DO col 1 100 1
      calc cInc col 1 -
      TABLE datarow SETKEY I:F^{col} rInc+cInc
    ENDDO
    !res datarow
    set tag.insertData(-1) ^datarow
  ENDDO
  file close tag

return

procedure create2000_3
  header/create test2000file3.tmp TYPE=2000 FORM=SI FS=100
  
  file open/w tag test2000file3.tmp
  DO rInc 200 9200 100
    table datarow create
    DO col 1 100 1
      calc cInc col 1 -
      TABLE datarow SETKEY I:F^{col} rInc+cInc
    ENDDO
    !res datarow
    set tag.insertData(-1) ^datarow
  ENDDO
  file close tag

return